#ifndef ENTITYMANAGER_H
#define ENTITYMANAGER_H

#include <vector>

#include "ientity.h"
#include "entityregistrator.h"

class IEntityBase;

class EntityManager
{
public:
	void Init();
	void Shutdown();
	void RegisterEntities();

	void Update(float dt);

	IEntityBase* CreateEntity(const char* classname);

private:
	std::vector<EntityRegistrationInfo> m_entityRegistrationInfo;
//	std::vector<IEntityBase*> m_entities;
};

extern EntityManager* g_entityManager;

#endif // !ENTITYMANAGER_H
